[Resolvido] - Problema com Adaptador wifi rtl8812-au

editado março 26 em Hardware

Ola amigos ! Fiz a instalação do fedora 29 deu tudo certo ,porém meu adaptador wifi não é reconhecido pelo sistema,tentei alguns tutoriais por aí e nada resolveu.

Esse = https://forums.fedoraforum.org/showthread.php?320525-Realtek-rtl8812au-on-Fedora-29&s=da1f1c41dcd11e64e499e8450a26e29f

Cheguei a esse pacote ( akmod-rtl8812au-4.3.14-2.fc27.x86_64.rpm ), mas não funciona.
Alguém já passou por isso ?? Desde já agradeço !

Comentários

  • editado março 17

    Boa noite.
    Eu tive que fazer algo parecido com o meu adaptador hoje, um RTL8192EU. Fiz pelo DKMS, mas pode dar algum problema quando o kernel é atualizado, aí tem que fazer novamente. Se forem os mesmos passos do meu adaptador, a solução seria mais ou menos isso:

    sudo dnf install git dkms
    git clone git@github.com:zebulon2/rtl8812au.git
    
    cd rtl8812au
    
    sudo ./dkms-install.sh
    
  • Retornou isso... :(

    sudo: ./dkms-install.sh: comando não encontrado
    Ta faltando algum arquivo ...

  • Digite seu comentário> @leandroramos disse:

    Boa noite.
    Eu tive que fazer algo parecido com o meu adaptador hoje, um RTL8192EU. Fiz pelo DKMS, mas pode dar algum problema quando o kernel é atualizado, aí tem que fazer novamente. Se forem os mesmos passos do meu adaptador, a solução seria mais ou menos isso:

    sudo dnf install git dkms
    git clone git@github.com:zebulon2/rtl8812au.git
    
    cd rtl8812au
    
    sudo ./dkms-install.sh
    

    Valeu Leandro pela ajuda !
    De primeira apresentou erro daí eu li a documentação do autor e fiz esse caminho :smile:

    Tive que baixar(disponivel em https://github.com/zebulon2/rtl8812au) e descompactar a pasta e em seguida copiar a pasta rtl8812au-5.1.5 para /usr/src e em seguida $ sudo ./dkms-install.sh

    E Funcionou !!!!!

  • Cara, isso serve para o rtl8811cu ou rtl8812bu?
    Comprei um adaptador 802.11ac e não consigo por nada instalar. Veio com duas (rtl8811cu e rtl8812bu) pastas com os drivers mas não vai..

  • Digite seu comentário> @Neryes disse:

    Cara, isso serve para o rtl8811cu ou rtl8812bu?
    Comprei um adaptador 802.11ac e não consigo por nada instalar. Veio com duas (rtl8811cu e rtl8812bu) pastas com os drivers mas não vai..

    Faça um tópico com o seu problema.

  • Revisando a instalação que fiz, esqueci de mencionar que antes de tudo é necessário verificar se está instalado na máquina os seguintes pacotes:
    kernel-devel , dkms e make .
    Caso contrário vai dar erro na instalação.
    :)

Entre ou Registre-se para fazer um comentário.